| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Namespaces | Typedefs | Functions
graph_utils.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/rfnoc/block_id.hpp>`
`#include <uhd/rfnoc/defaults.hpp>`
`#include <uhd/rfnoc/graph_edge.hpp>`
`#include <uhd/rfnoc_graph.hpp>`
`#include <boost/none.hpp>`
`#include <boost/optional.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
namespace | uhd
namespace | uhd::rfnoc

## Typedefs
using | uhd::rfnoc::block_port_def = std::tuple<std::string, boost::optional<size_t>>
| Tuple that stores a block ID, as well as an optional port number.

## Functions
std::vector< graph_edge_t > UHD_API | uhd::rfnoc::get_block_chain (const rfnoc_graph::sptr graph, const block_id_t start_block, const size_t port, const bool source_chain)
std::vector< graph_edge_t > UHD_API | uhd::rfnoc::connect_through_blocks (rfnoc_graph::sptr graph, const block_id_t src_blk, const size_t src_port, const block_id_t dst_blk, const size_t dst_port, const bool skip_property_propagation=false)